Timekit developers

POST /projects

Save a new project.

The slug can be used to fetch the widget config afterwards using a human-friendly slug instead of the ID (for instance when used on hosted project pages like http://myapp.com/my-project-slug)

Endpoint

POST https://api.timekit.io/v2/projects

Parameters

Name In Type Required Default Description
name body string yes Give the project a name
slug body string yes A unique slug
config body string yes The widget config you want to save

Request examples

json
{
  "name": "My Test Project",
  "slug": "my-test-project",
  "config": {
    "email": "marty.mcfly@timekit.io",
    "calendar": "3653d9a9-46d3-4270-8d34-34b3d871128d",
    "apiToken": "xwcgiK7u7EZSpIkCSt3Oaq1eFy1fZBJA",
    "app": "back-to-the-future"
  }
}

Response examples

200

json
{
  "data": {
    "id": "826ddc8e-8698-45be-9320-0c81dcf797d9",
    "name": "My Test Project",
    "slug": "my-test-project",
    "config": {
      "email": "marty.mcfly@timekit.io",
      "calendar": "3653d9a9-46d3-4270-8d34-34b3d871128d",
      "apiToken": "xwcgiK7u7EZSpIkCSt3Oaq1eFy1fZBJA",
      "app": "back-to-the-future"
    }
  }
}